<?php

namespace Fazed\NyaaRssParser\Contracts;

use Fazed\NyaaRssParser\Contracts\HttpClient\ResponseContract;

interface NyaaRssParserContract
{
    /**
     * Get a fresh copy of the RSS feed.
     *
     * @param  null|string $categories
     * @param  null|string $filters
     * @param  array       $additionalParameters
     * @return ResponseContract
     */
    public function getRssFeed($categories = null, $filters = null, array $additionalParameters = []);
}
