<?php

namespace Fazed\NyaaRssParser\Test;

use Orchestra\Testbench\TestCase as Orchestra;
use Fazed\NyaaRssParser\NyaaRssParserProvider;

abstract class TestCase extends Orchestra
{
    /**
     * {@inheritdoc}
     */
    public function setUp()
    {
        parent::setUp();
    }

    /**
     * {@inheritdoc}
     */
    protected function getEnvironmentSetUp($app)
    {
        $app['config']->set('nyaa-rss-parser.base_url', 'https://nyaa.si/');
        $app['config']->set('nyaa-rss-parser.base_queries', ['page' => 'rss']);
    }

    /**
     * {@inheritdoc}
     */
    protected function getPackageProviders($app)
    {
        return [NyaaRssParserProvider::class];
    }
}
