<?php

namespace Fazed\NyaaRssParser\Models;

use Fazed\FluentModel\FluentModel;
use Fazed\NyaaRssParser\Contracts\Models\EntryContract;

class Entry extends FluentModel implements EntryContract
{
    /**
     * {@inheritdoc}
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * {@inheritdoc}
     */
    public function setTitle($title)
    {
        return $this->setAttribute('title', $title, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * {@inheritdoc}
     */
    public function setDescription($description)
    {
        return $this->setAttribute('description', $description, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getLink()
    {
        return $this->link;
    }

    /**
     * {@inheritdoc}
     */
    public function setLink($link)
    {
        return $this->setAttribute('link', $link, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getGuid()
    {
        return $this->guid;
    }

    /**
     * {@inheritdoc}
     */
    public function setGuid($guid)
    {
        return $this->setAttribute('guid', $guid, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getPubDate()
    {
        return $this->pubDate;
    }

    /**
     * {@inheritdoc}
     */
    public function setPubDate($pubDate)
    {
        return $this->setAttribute('pubDate', $pubDate, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getSeeders()
    {
        return $this->seeders;
    }

    /**
     * {@inheritdoc}
     */
    public function setSeeders($seeders)
    {
        return $this->setAttribute('seeders', $seeders, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getLeechers()
    {
        return $this->leechers;
    }

    /**
     * {@inheritdoc}
     */
    public function setLeechers($leechers)
    {
        return $this->setAttribute('leechers', $leechers, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getDownloads()
    {
        return $this->downloads;
    }

    /**
     * {@inheritdoc}
     */
    public function setDownloads($downloads)
    {
        return $this->setAttribute('downloads', $downloads, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getInfoHash()
    {
        return $this->infoHash;
    }

    /**
     * {@inheritdoc}
     */
    public function setInfoHash($infoHash)
    {
        return $this->setAttribute('infoHash', $infoHash, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }

    /**
     * {@inheritdoc}
     */
    public function setCategoryId($categoryId)
    {
        return $this->setAttribute('categoryId', $categoryId, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getCategory()
    {
        return $this->category;
    }

    /**
     * {@inheritdoc}
     */
    public function setCategory($category)
    {
        return $this->setAttribute('category', $category, false);
    }

    /**
     * {@inheritdoc}
     */
    public function getSize()
    {
        return $this->size;
    }

    /**
     * {@inheritdoc}
     */
    public function setSize($size)
    {
        return $this->setAttribute('size', $size, false);
    }
}
